com.sleepycat.bind

## Interface EntryBinding<E>

All Known Implementing Classes:
  BigDecimalBinding, BigIntegerBinding, BooleanBinding, ByteArrayBinding, ByteBinding, CharacterBinding, DoubleBinding, FloatBinding, IntegerBinding, LongBinding, PackedIntegerBinding, PackedLongBinding, RecordNumberBinding, SerialBinding, ShortBinding, SortedBigDecimalBinding, SortedDoubleBinding, SortedFloatBinding, SortedPackedIntegerBinding, SortedPackedLongBinding, StringBinding, TupleBinding, TupleInputBinding, TupleMarshalledBinding

    public interface EntryBinding<E>

A binding between a key or data entry and a key or data object.

WARNING: Binding instances are typically shared by multiple threads and binding methods are called without any special synchronization. Therefore, bindings must be thread safe. In general no shared state should be used and any caching of computed values must be done with proper synchronization.

### Method Summary

Methods
`E` `entryToObject(DatabaseEntry entry)` Converts a entry buffer into an Object.
`void` `objectToEntry(E object, DatabaseEntry entry)` Converts an Object into a entry buffer.

### Method Detail

#### entryToObject

    E entryToObject(DatabaseEntry entry)

Converts a entry buffer into an Object.

Parameters:
  `entry` - is the source entry buffer.
Returns:
  the resulting Object.

#### objectToEntry

    void objectToEntry(E object,
                     DatabaseEntry entry)

Converts an Object into a entry buffer.

Parameters:
  `object` - is the source Object.
  `entry` - is the destination entry buffer.